
# Client Settings for Enchantment Sort
[client]
	# Whether sort the enchantments by its level
	# default: true
	sotByLevel = true
	# Whether to sort the treasure enchantment independently
	# This configuration has further info, see [client.IndieTreasure]
	# default: true
	indieTreasure = true
	# Whether sort the enchantments on enchanted book
	# default: false
	alsoSortBook = false
	# Sort the enchantments in ascending order
	# default: false
	ascendingSort = false
	# Whether to show the max level of the enchantments
	# This configuration has further info, see [client.ShowMaxLevel]
	# default: false
	showMaxLevel = false
	# Whether to highlight the treasure enchantments (except curse)
	# This configuration has further info, see [client.HighLightTreasure]
	# default: false
	highlightTreasure = false
	# Display the original order when shift pressed
	# default: false
	sneakDisplay = false
	# Compatible mode (may cause performance losses)
	# Enable this config will invalidate {showMaxLevel} & {highlightTreasure}
	# default: false
	compatibleMode = false

	[client.IndieTreasure]
		# Whether to sort the treasure on reverse side
		# default: false
		reverseTreasure = false

	[client.ShowMaxLevel]
		# The format list of the max level text
		# Use Formatting code or RGB format (#xxxxxx)
		maxLevelFormat = ["DARK_GRAY"]

	[client.HighlightTreasure]
		# The format list of treasure enchantments
		# Use Formatting code or RGB format (#xxxxxx)
		treasureFormat = ["DARK_GRAY"]

